cURL
curl -X GET "https://app.cotool.ai/api/tools/get-tool-use-raw-output" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/tools/get-tool-use-raw-output"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/tools/get-tool-use-raw-output', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/tools/get-tool-use-raw-output")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/tools/get-tool-use-raw-output"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": "<unknown>",
"offset": 123,
"limit": 123,
"sizeBytes": 123,
"hasMore": true,
"nextOffset": 123,
"contentType": "<string>"
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Tools
Get raw tool output
Fetch raw data captured for a previous tool invocation specified by uuid.
GET
/
api
/
tools
/
get-tool-use-raw-output
cURL
curl -X GET "https://app.cotool.ai/api/tools/get-tool-use-raw-output" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/tools/get-tool-use-raw-output"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/tools/get-tool-use-raw-output', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/tools/get-tool-use-raw-output")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/tools/get-tool-use-raw-output"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": "<unknown>",
"offset": 123,
"limit": 123,
"sizeBytes": 123,
"hasMore": true,
"nextOffset": 123,
"contentType": "<string>"
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Query Parameters
Unique identifier of the tool use to retrieve raw output for
Character offset for chunked raw output retrieval
Required range:
x >= 0Maximum characters to return for chunked raw output retrieval
Required range:
1 <= x <= 5242880Was this page helpful?
⌘I